Thread (51 messages) 51 messages, 4 authors, 2021-06-14

Re: [PATCH 02/13] misc: move exit status into trap handler

From: Chandan Babu R <hidden>
Date: 2021-06-10 08:44:49
Also in: fstests

On 08 Jun 2021 at 22:49, Darrick J. Wong wrote:
From: Darrick J. Wong <djwong@kernel.org>

Move the "exit $status" clause of the _cleanup function into the
argument to the "trap" command so that we can standardize the
registration of the atexit cleanup code in the next few patches.
Grep on all the test files revealed that only generic/068 and xfs/004 invoked
"exit $status" inside the _cleanup() function. Hence the changes look good to
me.

Reviewed-by: Chandan Babu R <redacted>
quoted hunk ↗ jump to hunk
Signed-off-by: Darrick J. Wong <djwong@kernel.org>
---
 tests/generic/068 |    3 +--
 tests/xfs/004     |    3 +--
 2 files changed, 2 insertions(+), 4 deletions(-)

diff --git a/tests/generic/068 b/tests/generic/068
index 932a8560..573fbd45 100755
--- a/tests/generic/068
+++ b/tests/generic/068
@@ -22,10 +22,9 @@ _cleanup()
     cd /
 
     trap 0 1 2 3 15
-    exit $status
 }
 
-trap "_cleanup" 0 1 2 3 15
+trap "_cleanup; exit \$status" 0 1 2 3 15
 
 # get standard environment, filters and checks
 . ./common/rc
diff --git a/tests/xfs/004 b/tests/xfs/004
index d3fb9c95..4d92a08e 100755
--- a/tests/xfs/004
+++ b/tests/xfs/004
@@ -18,9 +18,8 @@ _cleanup()
 {
 	_scratch_unmount
 	rm -f $tmp.*
-	exit $status
 }
-trap "_cleanup" 0 1 2 3 15
+trap "_cleanup; exit \$status" 0 1 2 3 15
 
 _populate_scratch()
 {

-- 
chandan
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help